Subject: Re: [bug#35666] [PATCH 0/2] Build a thread-safe hdf5 library

From: Ludovic Courtès <[email-masked]>
Date: Tue, 14 May 2019 09:28:11 +0200

Hi Eric,

Eric Bavier <[email-masked]> skribis:

> I think this should be fine, though I've not heard of anyone who has
> relied on this feature.  The "unsupported" part here is that the posix
> lock used for thread-safety is not hoisted into the higher-level API
> calls.  So if your colleague is using the C++ interface and expecting
> thread-safety, they are out of luck.  So the disclaimer is that only
> the low-level C interface gains thread-safety, and the rest are no
> better.

I’m not sure I understand.  Do you mean that, just because you use the
C++ API instead of the C API, the library is not thread-safe?

They do see crashes vanish when using the library compiled with
‘--enable-threadsafe’, and reliably so.

Thanks,
Ludo’.